<template>
	<view :class="[AppTheme]" class="content">
		<!-- #ifdef APP-PLUS || MP-WEIXIN -->
		<u-sticky offsetTop="0" style="z-index: 10;">
			<!-- #endif -->
			<!-- #ifdef H5 -->
			<u-sticky offsetTop="-44" style="z-index: 10;">
				<!-- #endif -->
				<view class="navbar">
					<view class="subsection_1">
						<view class="ones">
							<view :class="{ones_1:ones,ones_2:two,'bg-primary':ones}" @click="dingdan(1)">订单列表</view>
							<u-line color="#999" direction="col"></u-line>
							<view :class="{ones_3:three,ones_4:foru,'bg-primary':foru}" @click="shouhou(2)">售后订单</view>
						</view>
					</view>
					<view style="margin-bottom: 1vh;margin-left: 1vh;">
						<u-search placeholder="订单号搜索" v-model="keyword" @search="search()" @custom="custom"></u-search>
					</view>
					<u-tabs ref="uTabs" :list="navList" :activeStyle="{
			        color: primary,
			        transform: 'scale(1.05)'
			    }" :inactiveStyle="{
			        color: '#606266',
			        transform: 'scale(1)'
			    }" lineWidth="30" :scrollable="true" :lineColor="primary" :current="current" @click="tabClick">
						<view slot="right" style="padding-left: 4px;">
							<u-icon name="list" size="21" bold></u-icon>
						</view>
					</u-tabs>
				</view>
			</u-sticky>
			<swiper class="swiper-box" @change="changeTab">
				<swiper-item class="tab-content" v-for="(tabItem, tabIndex) in navList" :key="tabIndex"
					@touchmove.stop="">
					<scroll-view class="list-scroll-content" :refresher-enabled="true" :refresher-triggered="triggered"
						@refresherrefresh="refresh" scroll-y @scrolltolower="handle">
						<view v-for="(item, index) in orderList" :key="index" class="order-item">
							<view class="i-top b-b">
								<text class="time">订单编号:{{ item.oid }}</text>
								<text class="state" :style="{ color: item.stateTipColor }">{{item.type_status}}</text>
							</view>

							<scroll-view v-if="item.items.length > 1" class="goods-box"
								:class="[item.type === 5 ? 'goods-box2' : 'goods-box']" scroll-x>
								<view v-for="(goodsItem, goodsIndex) in item.items" :key="goodsIndex" class="goods-item"
									:class="[item.type === 5 ? 'goods-item2' : 'goods-item']">
									<image class="goods-img" mode="aspectFit"
										:class="[item.type === 5 ? 'goods-img2' : 'goods-img']" :src=" goodsItem.pic">
									</image>
									<view class="right_mess" v-if="item.type === 5">
										<view class="right_mess_p1">{{ goodsItem.name }}×{{ goodsItem.num }}</view>
										<view class="right_mess_p2"></view>
										<view class="right_mess_p3 text-neutral">金额:{{ goodsItem.price }}元</view>
									</view>
								</view>
							</scroll-view>
							<view v-if="item.items.length === 1" class="goods-box-single"
								v-for="(goodsItem, goodsIndex) in item.items" :key="goodsIndex">
								<image class="goods-img" :src=" goodsItem.pic" mode="aspectFill"></image>
								<view class="right">
									<text class="title clamp">{{ goodsItem.name }}</text>
									<text class="attr-box">x {{ goodsItem.num }}</text>
									<text class="price text-neutral">{{ goodsItem.price }}</text>
								</view>
							</view>

							<view class="price-box">
								共
								<text class="num">{{ item.totalnum }}</text>
								件商品 运费
								<text class="num price text-neutral">{{ item.yf }}</text>
								实付款
								<text class="price text-neutral">{{ Number(item.payprice) }}</text>
							</view>
							<view class="action-box b-t" v-if="type==1">
								<button v-if="item.status==2" class="action-btn recom  text-primary  border-primary"
									@click="orderTuihuo(item,index)">发货</button>
								<button v-if="item.status==3" class="action-btn recom  text-primary  border-primary"
									@click="orderOK(item,index)">确认收货</button>
								<button class="action-btn recom  text-primary  border-primary"
									@click="goOrderDetail(item)">查看订单</button>
							</view>

							<view class="action-box b-t" v-if="type==2">
								<button v-if="item.status==8" class="action-btn recom  text-primary  border-primary"
									@click="orderClosePay(item,index)">同意退款</button>
								<button v-if="item.status==8" class="action-btn recom  text-primary  border-primary"
									@click="bohui(item,index,1)">拒绝退款</button>
								<button v-if="item.status==4" class="action-btn recom  text-primary  border-primary"
									@click="ordertuihuo(item,index)">同意退货</button>
								<button v-if="item.status==4" class="action-btn recom  text-primary  border-primary"
									@click="bohui(item,index,2)">
									拒绝退货
								</button>
								<button class="action-btn recom  text-primary  border-primary"
									@click="goOrderDetail(item)">查看订单</button>
							</view>
						</view>
						<view v-if="orderList.length>0">
						<u-loadmore style="margin-top: 30rpx;" :status="loadingType" />	
						</view>
						
						<view class="bottom_hint" v-if="!orderList||orderList.length==0">
							<u-empty text="暂无记录" mode="data"></u-empty>
						</view>
					</scroll-view>
				</swiper-item>
			</swiper>

			<u-modal :show="showone" :title="title" :content='content' @cancel="cancel1" @confirm="confirm2"
				:showCancelButton='true'>
				<view class="inputline">
					<u--textarea v-model="content" placeholder="请输入驳回原因"></u--textarea>

				</view>

			</u-modal>
			<!-- 发货弹出层 -->
			<u-popup :show="show_th" mode="center" round="10" width="700rpx" height="450px" @close="close_tuihuo">
				<view style="padding: 20px;height: 300rpx;">

					<view style="margin-top: 30rpx;padding: 20rpx;">
						<view class="i-top b-b" style="display: flex;justify-content: space-between;">
							<text class="time">快递公司：</text>
							<view class="tubiao" @click="xunze">
								<u-icon name="arrow-right" size="20" :label='lable' labelPos='left'></u-icon>
							</view>
							<!-- <u-input v-model="tuihuo_gs" :trim="true" :clearable="false" style="flex-grow: 1;" type="text"
		border="none"	placeholder="必填" /> -->
						</view>
						<view class="bor_solp"></view>
						<view class="i-top b-b">
							<text class="time">快递单号：</text>
							<u-input v-model="fahuokdnum" :trim="true" :clearable="false" style="flex-grow: 1;"
								border="none" type="digit" placeholder="必填" />
						</view>
						<view class="bor_solp"></view>

						<view class="tui-wrap">
							<view class="tui-btn" style="background: #Ccc !important; box-shadow: none;border: none;"
								@click="close_th">取消</view>
							<view class="tui-btn bg-linear-gradient" @click="tuihuo_btn()">确认发货</view>
						</view>
					</view>

				</view>
			</u-popup>
			<u-picker :show="shows" :columns="columns" @cancel="cancel" @confirm="confirm" keyName="name"></u-picker>
	</view>
</template>

<script>
	import order from '@/api/order/index.js';
	import mall from '@/api/mall/index.js';
	export default {
		data() {
			return {
				_freshing: false,
				triggered: true,
				primary: this.$theme.primary,
				current: 0,
				info: {},
				settingFile: getApp().globalData.siteinfo,
				orderList: [],
				page: 1,
				pagesize: 5,
				ifOnShow: false,
				show_tk: false,
				show_th: false,
				loadingType: 'more',
				tuihuo_money: '', //退货金额
				tuihuo_gs: '', //快递公司
				fahuokdnum: '', //快递单号
				tuihuo_explain: '', //退货说明
				tuikuan_explain: '', //退款说明
				th_info: '',
				tk_info: '',
				navList: [{
						state: 0,
						name: '全部',
						loadingType: 'more'
					},
					{
						state: 2,
						name: '待付款',
						loadingType: 'more'
					},
					{
						state: 3,
						name: '待发货',
						loadingType: 'more'
					},
					{
						state: 4,
						name: '已发货',
						loadingType: 'more'
					},
					{
						state: 6,
						name: '已完成',
						loadingType: 'more'
					},
					{
						state: 7,
						name: '已关闭',
						loadingType: 'more'
					},
					{
						state: 11,
						name: '已取消',
						loadingType: 'more'
					}
				],
				orderIndex: 0,
				ones: true,
				two: false,
				three: true,
				foru: false,
				type: 1,
				keyword: '',
				farm_id: '',
				columns: [],
				shows: false,
				fahuokdcode: '',
				lable: '请选择快递公司',
				showone: false,
				title: '请输入拒绝原因',
				content: '',
				mttype: '',
				orderid: '',
				bohuiindex: ''
			};
		},

		onLoad(options) {
			this.page = 1;
			this.farm_id = options.id;
			this.getOrderList();
		},
		onShow() {

		},
		methods: {
			search(e) {
				 
				this.getOrderList();
			},
			custom() {
				console.log('00000')
				this.page=1
				 this.orderList=[]
				this.getOrderList();
			},

			bohui(item, index, type) {
				this.showone = true
				this.mttype = type
				this.orderid = item.id
				this.bohuiindex = index
			},
			confirm2() {
				if (this.mttype == 1) {
					this.orderrejecttuikuan()
				} else if (this.mttype == 2) {
					this.orderrejecttuihuo()
				}
				this.showone = false
			},
			cancel1() {
				this.showone = false
			},
			xunze() {
				this.shows = true
			},
			confirm(e) {
				this.fahuokdcode = e.value[0].code
				this.lable = e.value[0].name
				console.log(e)
				this.shows = false
			},
			cancel() {
				this.shows = false
			},
			//顶部tab点击
			tabClick(e) {
				let that = this;
				if (that.current == e.index) {
					return;
				}
				that.page = 1;
				that.orderList = [];
				that.current = e.index;
				that.orderType();
			},
			orderType() {
				this.getOrderList()
			},
			getOrderList() {
				let that = this;
				// uni.showLoading({
				// 	title: '玩命加载中......'
				// });
				// setTimeout(() => {

				// 	uni.hideLoading();
				// }, 600);
				that.loadingType = 'loading';
				order.ordermanagement({
						types: that.current,
						type: that.type,
						farm_id: that.farm_id,
						p: that.page,
						title: that.keyword
					})
					.then(res => {
						if (res.status == 1) {
							if (res.data.data1.length >= that.pagesize) {
								that.loadingType = 'more';
								that.page++;
							} else {
								that.page++;
								that.loadingType = 'nomore';
							}
							that.orderList = that.orderList.concat(res.data.data1);
							that.columns = res.data.data2
						}else{
							this.loadingType = 'more';
						}
					});
			},
			dingdan(type) {
				let that = this
				if (that.type == type) {
					return;
				}
				that.page = 1;
				that.ones = true;
				that.two = false;
				that.three = true;
				that.foru = false;
				that.type = type
				that.navList = [{
						state: 0,
						name: '全部',
						loadingType: 'more'
					},
					{
						state: 2,
						name: '待付款',
						loadingType: 'more'
					},
					{
						state: 3,
						name: '待发货',
						loadingType: 'more'
					},
					{
						state: 4,
						name: '已发货',
						loadingType: 'more'
					},
					{
						state: 6,
						name: '已完成',
						loadingType: 'more'
					},
					{
						state: 7,
						name: '已关闭',
						loadingType: 'more'
					},
					{
						state: 11,
						name: '已取消',
						loadingType: 'more'
					}
				]

				that.current = 0
				that.orderList = [];
				that.getOrderList();
			},
			shouhou(type) {
				let that = this
				if (that.type == type) {
					return;
				}
				that.page = 1;
				that.orderList = [];
				that.ones = false;
				that.two = true;
				that.three = false;
				that.foru = true;
				that.type = type;
				that.navList = [{
						state: 0,
						name: '全部',
						loadingType: 'more'
					},
					{
						state: 5,
						name: '退货中',
						loadingType: 'more'
					},
					{
						state: 8,
						name: '已退货',
						loadingType: 'more'
					},
					{
						state: 9,
						name: '退款中',
						loadingType: 'more'
					},
					{
						state: 10,
						name: '已退款',
						loadingType: 'more'
					}
				]
				that.current = 0
				that.getOrderList();
			},

			orderTuihuo(item, index) {
				this.orderIndex = index
				this.orderid = item.id
				/* 跳转发货界面*/
				this.show_th = true;
				// this.th_info = item;
			},
			/* 关闭发货窗口 */
			close_th() {
				this.show_th = false;
			},
			/* 退货 */
			tuihuo_btn() {
				let that = this;
				let item = that.th_info;

				if (!that.fahuokdcode) {
					that.$api.msg('请输入快递公司');
					return;
				}
				if (!that.fahuokdnum) {
					that.$api.msg('请输入快递单号');
					return;
				}
				order.fhshop({
						fahuokdcode: that.fahuokdcode,
						id: that.orderid,
						fahuokdnum: that.fahuokdnum
					})
					.then(res => {
						if (res.code == 1) {
							that.shows = false
							uni.showToast({
								title: res.msg,
								icon: "none"
							})

						}
					});

			},
			//确认收货
			orderOK(item, index) {
				this.orderIndex = index
				uni.showModal({
					content: '确认已收到货？',
					cancelColor: '#ccc',
					confirmColor: '#000000',
					success: e => {
						if (e.confirm) {
							order
								.orderOK({
									sid: item.sid,
									orderid: item.id
								})
								.then(res => {
									this.$api.msg(res.msg);
									if (res.status == 200) {
										setTimeout(() => {
											this.orderList[this.orderIndex].status = 4
										}, 500);
									}
								});
						}
					}
				});
			},
			//拒绝退款
			orderrejecttuikuan() {
				order.orderrejecttuikuan({
						rejecttuihuomsg: this.content,
						id: this.orderid,
					})
					.then(res => {
						this.$api.msg(res.msg);
						if (res.status == 200) {
							setTimeout(() => {
								this.orderList[this.bohuiindex].status = 2
							}, 500);
						}
					});

			},
			//同意退款
			orderClosePay(item, index) {
				this.orderIndex = index
				uni.showModal({
					content: '确定要同意退款？',
					cancelColor: '#ccc',
					confirmColor: '#000000',
					success: e => {
						if (e.confirm) {
							order.orderClosePay({
									id: item.id
								})
								.then(res => {
									this.$api.msg(res.msg);
									if (res.status == 200) {
										setTimeout(() => {
											this.orderList[this.orderIndex].status = 11
										}, 500);
									}
								});
						}
					}
				});
			},
			//拒绝退货
			orderrejecttuihuo() {
				order.orderrejecttuihuo({
						rejecttuihuomsg: this.content,
						id: this.orderid,
					})
					.then(res => {
						this.$api.msg(res.msg);
						if (res.status == 200) {
							setTimeout(() => {
								this.orderList[this.bohuiindex].status = 3
							}, 500);
						}
					});
			},
			//同意退货
			ordertuihuo(item, index) {
				this.orderIndex = index
				uni.showModal({
					content: '确定要同意退货？',
					cancelColor: '#ccc',
					confirmColor: '#000000',
					success: e => {
						if (e.confirm) {
							order
								.ordertuihuo({

									id: item.id
								})
								.then(res => {
									this.$api.msg(res.msg);
									if (res.status == 200) {
										setTimeout(() => {
											this.orderList[this.orderIndex].status = 7
										}, 500);
									}
								});
						}
					}
				});
			},







			change(e) {
				console.log(e)
			},
			refresh() { //自定义下拉刷新
				console.log('下拉刷新了')
				if (this._freshing) return;
				this._freshing = true;

				//调用获取数据的函数
				// this.getData();
				if (!this.triggered)
					//界面下拉触发，triggered可能不是true，要设为true
					this.triggered = true;
				setTimeout(() => {
					this.triggered = false;
					this._freshing = false;
					uni.stopPullDownRefresh()
				}, 2000);
			},
			/* 查看物流 */
			logistics(item) {
				uni.navigateTo({
					url: '/pagesD/pages/order/logistics/logistics?id=' + item.id + '&sid=' + item.sid
				});
			},

			/* 监听退款   清空输入过的信息 */
			close_tuikuan() {
				(this.tuikuan_explain = ''), //退款说明
				console.log('关闭了退款');
			},
			/* 关闭退款窗口 */
			close_tk() {
				this.show_tk = false;
			},
			/* 退款 */
			tuikuan_btn() {
				let that = this;
				let tmplIdsone = that.$config.temlist;
				if (tmplIdsone) {
					that.$until.requestSubscribeMessage([
						tmplIdsone['returnReminder']
					], tmplIdsone, function() {
						that.orderTuikuanSave();
					});
				} else {
					that.orderTuikuanSave();
				}

			},
			orderTuikuanSave() {
				let that = this;
				let item = that.tk_info;
				order.orderTuikuanSave({
						sid: item.sid,
						orderid: item.id,
						tuikuanmsg: encodeURI(this.tuikuan_explain)
					})
					.then(res => {
						uni.hideLoading();
						this.$api.msg(res.msg);
						if (res.status == 200) {
							this.show_tk = false;
							this.orderList[this.orderIndex].status = 0
						}
					});
			},



			goOrderDetail(item) {

				uni.navigateTo({
					url: `/pagesD/pages/order/orderDetail?sid=` + item.sid + '&id=' + item.id
				});
			},
			handle() {
				 
				this.orderType();
			},

			changeTab(e) {

			},
			animationfinish(e) {
				let current = e.detail.current;
				this.swiperCurrent = current;
				this.current = current;
			},
		},
		onReachBottom() {
			console.log('到底了');
		},
		onPullDownRefresh() {
			this.orderList = [];
			this.page = 1;
			console.log(this.page,'this.page')
			this.orderType();
			setTimeout(() => {
				uni.stopPullDownRefresh();
			}, 600);
		}
	};
</script>

<style lang="scss">
	page,
	.content {
		background: $page-color-base;
		height: 100%;
		box-sizing: border-box;
	}

	.swiper-box {
		height: calc(100vh - 150px);
	}

	.list-scroll-content {
		height: 100%;
	}

	.navbar {
		background: #fff;
		box-shadow: 0 1px 5px rgba(0, 0, 0, 0.06);

		.nav-item {
			flex: 1;
			display: flex;
			justify-content: center;
			align-items: center;
			height: 100%;
			font-size: 15px;
			color: $tab-color-1;
			position: relative;

			&.current {
				color: $tab-color-1;

				&:after {
					content: '';
					position: absolute;
					left: 50%;
					bottom: 0;
					transform: translateX(-50%);
					width: 44px;
					height: 0;
					border-bottom: 2px solid $tab-color-2;
				}
			}
		}
	}

	.tuihuo {
		line-height: 70rpx;

		text-align: center;

		.text {
			text-align: center;
		}
	}

	.i-top {
		display: flex;
		align-items: center;
		flex-wrap: wrap;

		padding: 0 0upx;
		font-size: $font-base;
		color: $font-color-dark;
		position: relative;

		.time {
			// flex: 1;
			// flex-grow: 1;
		}


		.state {
			color: $base-color;
		}

		.del-btn {
			padding: 10upx 0 10upx 36upx;
			font-size: $font-lg;
			color: $font-color-light;
			position: relative;

			&:after {
				content: '';
				width: 0;
				height: 30upx;
				border-left: 1px solid $border-color-dark;
				position: absolute;
				left: 20upx;
				top: 50%;
				transform: translateY(-50%);
			}
		}
	}

	.b-b {
		margin: 0 0rpx;

		.illustrate {
			margin-bottom: 20rpx;

		}

		.box-conter {
			height: 230rpx;
			width: 600rpx;
			border: 1rpx solid #cccccc;
		}
	}



	.uni-swiper-item {
		height: auto;
	}

	.f-tui {
		width: 100%;
		min-height: 270rpx;
		background: #fff;
		margin-top: 16rpx;
		padding-left: 30rpx;
		padding-bottom: 30rpx;
	}

	.tui-wrap {
		margin: 15rpx 0;
		display: flex;
		justify-content: space-around;

		.tui-btn {
			left: 520rpx;
			width: 40%;
			height: 68rpx;
			display: flex;
			justify-content: center;
			align-items: center;
			border-radius: 15rpx;
			border-width: 1px;
			border-style: solid;
			margin-top: 20rpx;
			color: #fff;
		}
	}

	.order-item {
		display: flex;
		flex-direction: column;
		padding-left: 30upx;
		background: #fff;
		margin-top: 16upx;

		.i-top {
			display: flex;
			align-items: center;
			height: 80upx;
			padding-right: 30upx;
			font-size: $font-base;
			color: $font-color-dark;
			position: relative;

			.time {
				flex: 1;
				font-weight: bold;
			}

			.state {
				color: $base-color;
			}

			.del-btn {
				padding: 10upx 0 10upx 36upx;
				font-size: $font-lg;
				color: $font-color-light;
				position: relative;

				&:after {
					content: '';
					width: 0;
					height: 30upx;
					border-left: 1px solid $border-color-dark;
					position: absolute;
					left: 20upx;
					top: 50%;
					transform: translateY(-50%);
				}
			}
		}

		/* 多条商品 */
		.goods-box {
			height: 160upx;
			padding: 20upx 0;
			white-space: nowrap;

			.goods-item {
				width: 120upx;
				height: 120upx;
				display: inline-block;
				margin-right: 24upx;
			}

			.goods-item2 {
				width: 100%;
				height: 160rpx;
				display: flex;
				justify-content: flex-start;
				align-items: center;
				margin-right: 0;
			}

			.goods-img {
				display: block;
				width: 100%;
				height: 100%;
			}

			.goods-img2 {
				display: block;
				width: 160rpx;
				height: 120rpx;
			}
		}

		.right_mess {
			width: auto;
			margin-left: 15rpx;
		}

		.right_mess_p1 {
			font-size: 28rpx;
			color: #000;
			letter-spacing: 5rpx;
		}

		.right_mess_p2 {
			font-size: 26rpx;
			color: #000;
			margin: 15rpx 0;
			letter-spacing: 5rpx;
		}

		.right_mess_p3 {
			font-size: 26rpx;
			letter-spacing: 5rpx;
		}

		.goods-box2 {
			height: auto;
		}

		/* 单条商品 */
		.goods-box-single {
			display: flex;
			padding: 20upx 0;

			.goods-img {
				display: block;
				width: 120upx;
				height: 120upx;
			}

			.right {
				flex: 1;
				display: flex;
				flex-direction: column;
				padding: 0 30upx 0 24upx;
				overflow: hidden;

				.title {
					font-size: $font-base + 2upx;
					color: $font-color-dark;
					line-height: 1;
					line-height: 40rpx;
					height: 40rpx;
					text-overflow: ellipsis;
					overflow: hidden;
					white-space: nowrap;
				}

				.attr-box {
					font-size: $font-sm + 2upx;
					color: $font-color-light;
					padding: 10upx 12upx;
				}

				.price {
					font-size: $font-base + 2upx;

					&:before {
						content: '￥';
						font-size: $font-sm;
						margin: 0 2upx 0 8upx;
					}
				}
			}
		}

		.price-box {
			display: flex;
			justify-content: flex-end;
			align-items: baseline;
			padding: 20upx 30upx;
			font-size: $font-sm + 2upx;
			color: $font-color-light;

			.num {
				margin: 0 8upx;
			}

			.price {
				font-size: $font-lg;

				&:before {
					content: '￥';
					font-size: $font-sm;
					margin: 0 2upx 0 8upx;
				}
			}
		}

		.action-box {
			display: flex;
			justify-content: flex-end;
			align-items: center;
			height: 100upx;
			position: relative;
			padding-right: 30upx;
		}

		.action-btn {
			width: 160upx;
			height: 60upx;
			margin: 0;
			margin-left: 24upx;
			padding: 0;
			text-align: center;
			line-height: 60upx;
			font-size: $font-sm + 2upx;
			background: #fff;
			border-radius: 100px;

			&:after {
				border-radius: 100px;
			}

			&.recom {
				background: #fff9f9;
				border-width: 1rpx;
				border-style: solid;
			}
		}
	}

	/* load-more */
	.uni-load-more {
		display: flex;
		flex-direction: row;
		height: 80upx;
		align-items: center;
		justify-content: center;
		background-color: transparent;
	}

	.uni-load-more__text {
		font-size: 28upx;
		color: #999;
	}

	.uni-load-more__img {
		height: 24px;
		width: 24px;
		margin-right: 10px;
	}

	.uni-load-more__img>view {
		position: absolute;
	}

	.uni-load-more__img>view view {
		width: 6px;
		height: 2px;
		border-top-left-radius: 1px;
		border-bottom-left-radius: 1px;
		background: #999;
		position: absolute;
		opacity: 0.2;
		transform-origin: 50%;
		animation: load 1.56s ease infinite;
	}

	.uni-load-more__img>view view:nth-child(1) {
		transform: rotate(90deg);
		top: 2px;
		left: 9px;
	}

	.uni-load-more__img>view view:nth-child(2) {
		transform: rotate(180deg);
		top: 11px;
		right: 0;
	}

	.uni-load-more__img>view view:nth-child(3) {
		transform: rotate(270deg);
		bottom: 2px;
		left: 9px;
	}

	.uni-load-more__img>view view:nth-child(4) {
		top: 11px;
		left: 0;
	}

	.load1,
	.load2,
	.load3 {
		height: 24px;
		width: 24px;
	}

	.load2 {
		transform: rotate(30deg);
	}

	.load3 {
		transform: rotate(60deg);
	}

	.load1 view:nth-child(1) {
		animation-delay: 0s;
	}

	.load2 view:nth-child(1) {
		animation-delay: 0.13s;
	}

	.load3 view:nth-child(1) {
		animation-delay: 0.26s;
	}

	.load1 view:nth-child(2) {
		animation-delay: 0.39s;
	}

	.load2 view:nth-child(2) {
		animation-delay: 0.52s;
	}

	.load3 view:nth-child(2) {
		animation-delay: 0.65s;
	}

	.load1 view:nth-child(3) {
		animation-delay: 0.78s;
	}

	.load2 view:nth-child(3) {
		animation-delay: 0.91s;
	}

	.load3 view:nth-child(3) {
		animation-delay: 1.04s;
	}

	.load1 view:nth-child(4) {
		animation-delay: 1.17s;
	}

	.load2 view:nth-child(4) {
		animation-delay: 1.3s;
	}

	.load3 view:nth-child(4) {
		animation-delay: 1.43s;
	}

	@-webkit-keyframes load {
		0% {
			opacity: 1;
		}

		100% {
			opacity: 0.2;
		}
	}

	.subsection_1 {


		display: flex;
		justify-content: space-evenly;

		.ones {
			display: flex;
			background-color: #fff;
			border: 1rpx solid #999;
			font-size: 26rpx;
			border-radius: 40rpx;
			margin-bottom: 1vh;
			margin-top: 30rpx;

			// .ones_1 {
			// 	padding: 15rpx;

			// 	border-bottom-left-radius: 40rpx;
			// 	border-top-left-radius: 40rpx;

			// }

			// .ones_2 {
			// 	padding: 15rpx;
			// 	border-bottom-right-radius: 40rpx;
			// 	border-top-right-radius: 40rpx;
			// }
		}

	}

	.ones_1 {
		padding: 15rpx 20rpx;

		border-bottom-left-radius: 40rpx;
		border-top-left-radius: 40rpx;
		// background-color: blueviolet;

	}

	.ones_2 {
		padding: 15rpx 20rpx;
		border-bottom-right-radius: 40rpx;
		border-top-right-radius: 40rpx;


	}

	.ones_3 {
		padding: 15rpx 20rpx;
		border-bottom-right-radius: 40rpx;
		border-top-right-radius: 40rpx;

	}

	.ones_4 {
		padding: 15rpx 20rpx;
		border-bottom-right-radius: 40rpx;
		border-top-right-radius: 40rpx;
		// background-color: blueviolet;
	}

	.bor_solp {
		background-color: #999;
		height: 1rpx;
		width: 100%;
		transform: scaleY(0.3);
		margin: 10rpx 0;
	}

	::v-deep .u-modal__content[data-v-0156a215] {
		flex-direction: column;
	}
	.bottom_hint {
		margin-top: 100rpx;
	}

	//  ::v-deep .u-subsection__item--first[data-v-78c1286e] {
	//     border-top-left-radius: 10px;
	//     border-bottom-left-radius: 10px;
	// }
	// ::v-deep .u-subsection__item--last[data-v-78c1286e] {
	//     border-top-right-radius: 10px;
	//     border-bottom-right-radius: 10px;
	// }
</style>
